---

docker_config_diff: true

docker_compose:
  install: false

docker_users:
  - sysadmin
  - ansible

docker_plugins:
  - alias: loki
    source: grafana/loki-docker-driver
    version: 2.6.1
    state: present

docker_client_defaults: &DOCKER_CLIENTS_DEFAULTS
  formats:
    ps:
      - ".ID"
      - ".Names"
      - ".Status"
      - ".RunningFor"
      - ".Ports"
    images:
      - ".ID"
      - ".Size"
      - ".Repository"
      - ".Tag"
      - ".CreatedAt"

docker_client_config:
  - location: "/home/ansible/.docker/config.json"
    # username: ansible
    enabled: true
    owner: ansible
    group: ansible
    <<: *DOCKER_CLIENTS_DEFAULTS
    auths:
      "registry.cm.local":
        username: ansible
        password: "{{ vault__htpasswd.registry.ansible }}"

  - location: "/home/sysadmin/.docker/config.json"
    # username: sysadmin
    enabled: true
    owner: sysadmin
    group: sysadmin
    <<: *DOCKER_CLIENTS_DEFAULTS
    auths:
      "registry.cm.local":
        username: ansible
        password: "{{ vault__htpasswd.registry.ansible }}"

  - location: "/root/.docker/config.json"
    # username: root
    enabled: true
    owner: root
    group: root
    <<: *DOCKER_CLIENTS_DEFAULTS
    auths:
      "registry.cm.local":
        username: ansible
        password: "{{ vault__htpasswd.registry.ansible }}"

docker_config:
  data_root: "/opt/docker"
  insecure_registries:
    - "registry.cm.local"
  experimental: true
  metrics_addr: "127.0.0.1:9323"
  hosts:
    - "unix:///var/run/docker.sock"
  dns:
    - "192.168.124.5"
    - "141.1.1.1"
  dns_search:
    - "cm.local"
  # tls:
  #   verify: true
  #   ca_cert: "{{ snakeoil_extract_to }}/{{ snakeoil_domain }}/{{ snakeoil_domain }}.crt"
  #   cert: "{{ snakeoil_extract_to }}/{{ snakeoil_domain }}/{{ snakeoil_domain }}.pem"
  #   key: "{{ snakeoil_extract_to }}/{{ snakeoil_domain }}/{{ snakeoil_domain }}.key"
  log_driver: "loki:2.6.1"
  log_opts:
    # https://grafana.com/docs/loki/latest/clients/docker-driver/configuration/
    loki-url: "http://loki.cm.local/loki/api/v1/push"
    loki-tls-insecure-skip-verify: true
    loki-retries: "3"
    labels: "environment,service,job,logger_name"

...
